Subject: Re: perl: cpan module's interactive mode fails
From: "Gerrit P. Haase" <[email-masked]>
To: Thomas Berger <[email-masked]>
Cc: [email-masked], Stephan Petersen <[email-masked]>, [email-masked]
Date: Thu, 19 Aug 2004 17:13:36 +0200

Thomas schrieb:

> Gerrit: Compress::Zlib is *not* included in perl-5.8.5,
> maybe that triggered the problem

I see, thanks for the (packaging) bug report.  Will fix it ASAP.

> As to the binmode issue (as in Stephan's situation I'm
> running a completely text mode installation):

> I introduced an additional mount parallel to my
> ususal /home:

> mkdir /binhome
> mount -b "C:/cygwin/home/" /binhome

> and reconfigured CPAN.PM (rather edit
> /usr/lib/perl5/5.8.5/CPAN/Config.pm  than struggle with the
> various "o conf" settings in CPAN's shell).

> Now the first attempt still fails because of the my "nobinmode" setting
> in $CYGWIN (cpan.pm executes
> gzip --decompress --stdout < ...tar.gz | tar xfv - > ...
> and the pipe is affected by "nobinmode". However the second attempt
> succeeds since either Compress::Zlib is used or gunzipping
> gzip -dc ....tar.gz > ....tar
> is now executed on a binary mounted FS.

Sigh.  If I were the god of Cygwin, I would have not created textmode
mounts at all.  I cannot see the point why it is neccessary to use it.
The only real reason why textmode is needed is that notepad cannot
handle binmode (unix) textfiles.

[...]

> The fix would be to add a short sentence to the release notes
> that .cpan *must* reside in a binmode mounted filesystem

Ok, I'll ad a sentence similar to what you wrote here.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/